Update Profile

Update an existing profile. Settings provided in body parameters will only be updated in the existing profile.

Path Parameters
  • profile_id
    Type: string
    required

    Profile id of the profile which need to be updated.

Body
application/json
  • profile_id
    Type: string
    required

    Profile id of the profile which needs to be deleted.

  • animated_gif
    Type: object

    Create an animated GIF from a video.

  • audio_only
    Type: boolean

    This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case,This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case, video transformation and thumbnails/animated GIFs would not be created. Default: false

  • crop
    Type: object

    This transformation can be used to crop the video by defining a rectangular area within the dimensions of the output video.

  • enable_drm
    Type: boolean

    Enable DRM encryption for transcoded videos. Gumlet supports Widevine and Fairplay DRMs.

  • format
    Type: string enum

    Transcode and deliver the asset in the requested format. The options can be one of ABR (HLS + DASH) and MP4.

    values
    • ABR
    • MP4
  • generate_subtitles
    Type: object

    Gumlet allows to generate subtitles from the audio stream (use ISO 639-1 Language Codes). You can remove this object if don't want to generate AI subtitles.

  • height
    Type: string

    Resize video with the given height. Can be an absolute value in pixels or a percentage value with the % suffix. Specified values greater than the original asset height will be ignored. Only applicable when specified format is MP4.

  • image_overlay
    Type: object

    Image overlay can be used to brand a video or add a visual label in the form of an image.

  • mp4_access
    Type: boolean

    Creates mp4 version for download purpose in case of MPEG-DASH or HLS delivery format. Default: false

  • name
    Type: string

    Profile name or identifier.

  • pad
    Type: object

    This transformation can be used to add padding to the video.

Responses
  • application/json
  • application/json
Request Example for post/video/profiles/{profile_id}
curl 'https://api.gumlet.com/v1/video/profiles/{profile_id}' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "profile_id": "",
  "name": "",
  "format": "ABR",
  "width": "",
  "height": "",
  "resolution": "",
  "crop": {
    "horizontal_margin": "",
    "vertical_margin": "",
    "width": "",
    "height": ""
  },
  "pad": {
    "top": "",
    "left": "",
    "bottom": "",
    "right": "",
    "color": ""
  },
  "trim": {
    "start_offset": 1,
    "end_offset": 1,
    "duration": 1
  },
  "image_overlay": {
    "url": "",
    "horizontal_margin": "",
    "vertical_margin": "",
    "horizontal_align": "",
    "vertical_align": "",
    "width": "",
    "height": ""
  },
  "text_overlay": {
    "text": "",
    "horizontal_align": "",
    "vertical_align": "",
    "horizontal_margin": "",
    "vertical_margin": "",
    "color": "",
    "font": "",
    "font_size": "",
    "opacity": "",
    "box": true,
    "box_color": "",
    "box_opacity": "",
    "box_border": ""
  },
  "animated_gif": {
    "start_offset": "",
    "end_offset": "",
    "width": "",
    "height": "",
    "fps": ""
  },
  "generate_subtitles": {
    "subtitle_languages": [
      ""
    ],
    "transcribe": true
  },
  "mp4_access": true,
  "per_title_encoding": true,
  "process_low_resolution_input": true,
  "audio_only": true,
  "enable_drm": true
}'
{
  "profile_id": "61921fb10822a81d955d1730",
  "name": "Gumlet-Profile-2",
  "transformations": {
    "resolution": "240p,360p",
    "format": "hls",
    "audio_codec": [
      "aac"
    ],
    "video_codec": [
      "libx264"
    ],
    "thumbnail": [
      "auto"
    ],
    "thumbnail_format": "png",
    "mp4_access": false,
    "per_title_encoding": true
  },
  "created_at": 1636966321742,
  "updated_at": 1636975593082
}